ALAS-2012-101


Amazon Linux AMI Security Advisory: ALAS-2012-101
Advisory Release Date: 2014-09-14 16:41 Pacific
Severity: Medium

Issue Overview:

A denial of service flaw was found in the way the OpenLDAP server daemon (slapd) processed certain search queries requesting only attributes and no values. In certain configurations, a remote attacker could issue a specially-crafted LDAP search query that, when processed by slapd, would cause slapd to crash due to an assertion failure. (CVE-2012-1164 )


Affected Packages:

openldap


Issue Correction:
Run yum update openldap to update your system.

New Packages:
i686:
    openldap-servers-sql-2.4.23-26.15.amzn1.i686
    openldap-servers-2.4.23-26.15.amzn1.i686
    openldap-devel-2.4.23-26.15.amzn1.i686
    openldap-debuginfo-2.4.23-26.15.amzn1.i686
    openldap-clients-2.4.23-26.15.amzn1.i686
    openldap-2.4.23-26.15.amzn1.i686

src:
    openldap-2.4.23-26.15.amzn1.src

x86_64:
    openldap-devel-2.4.23-26.15.amzn1.x86_64
    openldap-servers-2.4.23-26.15.amzn1.x86_64
    openldap-2.4.23-26.15.amzn1.x86_64
    openldap-clients-2.4.23-26.15.amzn1.x86_64
    openldap-servers-sql-2.4.23-26.15.amzn1.x86_64
    openldap-debuginfo-2.4.23-26.15.amzn1.x86_64